package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkOldposRefundCreateRequest struct {
	/*
	   入参     */
	PosRefundCreateRequest *domain.AlibabaWdkOldposRefundCreatePosRefundCreateRequest `json:"pos_refund_create_request,omitempty" required:"false" `
}

func (s *AlibabaWdkOldposRefundCreateRequest) SetPosRefundCreateRequest(v domain.AlibabaWdkOldposRefundCreatePosRefundCreateRequest) *AlibabaWdkOldposRefundCreateRequest {
	s.PosRefundCreateRequest = &v
	return s
}

func (req *AlibabaWdkOldposRefundCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.PosRefundCreateRequest != nil {
		paramMap["pos_refund_create_request"] = util.ConvertStruct(*req.PosRefundCreateRequest)
	}
	return paramMap
}

func (req *AlibabaWdkOldposRefundCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
